nl_switch< This, tensor4_basic< typename This::scalar_type > >

## Public Types

typedef This::size_type | size_type
typedef This::scalar_type | scalar_type

## Public Member Functions

void | element_initialize (const This &obj, const geo_element &K) const
void | element_initialize_on_side (const This &obj, const geo_element &K, const side_information_type &sid) const
const tensor4_basic< scalar_type > & | get_nl_value (const This &obj, size_type q) const

## Detailed Description

### template<class This>
struct rheolef::details::nl_switch< This, tensor4_basic< typename This::scalar_type > >

Definition at line 881 of file field_expr_variational.h.

## Member Typedef Documentation

## size_type

typedef This::size_type size_type

Definition at line 882 of file field_expr_variational.h.

## scalar_type

typedef This::scalar_type scalar_type

Definition at line 883 of file field_expr_variational.h.

## Member Function Documentation

## element_initialize()

void element_initialize | ( | const This & | obj,
|  | const geo_element & | K
| ) |  | const

Definition at line 884 of file field_expr_variational.h.

## element_initialize_on_side()

void element_initialize_on_side | ( | const This & | obj,
|  | const geo_element & | K,
|  | const side_information_type & | sid
| ) |  | const

Definition at line 886 of file field_expr_variational.h.

## get_nl_value()

const tensor4_basic<scalar_type>& get_nl_value | ( | const This & | obj,
|  | size_type | q
| ) |  | const

Definition at line 888 of file field_expr_variational.h.

The documentation for this struct was generated from the following file:

- /build/rheolef-bzr82u/rheolef-7.1/main/lib/field_expr_variational.h